curl --request PUT \
--url "${UNSTRUCTURED_API_URL}/api/v1/destinations/d1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}" \
--header "Content-Type: application/json" \
--data '{
"name": "My Updated S3 Destination",
"config": {
"remote_url": "s3://my-new-bucket/output/",
"aws_access_key_id": "AKIAIOSFODNN7EXAMPLE",
"aws_secret_access_key": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY"
}
}'
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import UpdateDestinationRequest
from unstructured_client.models.shared import UpdateDestinationConnector
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = client.destinations.update_destination(
request=UpdateDestinationRequest(
destination_id="d1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c",
update_destination_connector=UpdateDestinationConnector(
name="My Updated S3 Destination",
config={
"remote_url": "s3://my-new-bucket/output/",
"aws_access_key_id": "AKIAIOSFODNN7EXAMPLE",
"aws_secret_access_key": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY",
},
)
)
)
print(response)
import asyncio
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import UpdateDestinationRequest
from unstructured_client.models.shared import UpdateDestinationConnector
async def update_destination():
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = await client.destinations.update_destination_async(
request=UpdateDestinationRequest(
destination_id="d1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c",
update_destination_connector=UpdateDestinationConnector(
name="My Updated S3 Destination",
config={
"remote_url": "s3://my-new-bucket/output/",
"aws_access_key_id": "AKIAIOSFODNN7EXAMPLE",
"aws_secret_access_key": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY",
},
)
)
)
print(response)
asyncio.run(update_destination())
{
"id": "d1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c",
"name": "My Updated S3 Destination",
"type": "s3",
"config": {
"remote_url": "s3://my-new-bucket/output/",
"aws_access_key_id": "AKIAIOSFODNN7EXAMPLE",
"aws_secret_access_key": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY"
},
"created_at": "2026-01-01T00:00:00Z",
"updated_at": "2026-04-29T10:00:00Z"
}
Destination
Update destination connector
Update the configuration of an existing destination connector.
PUT
/
api
/
v1
/
destinations
/
{destination_id}
curl --request PUT \
--url "${UNSTRUCTURED_API_URL}/api/v1/destinations/d1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}" \
--header "Content-Type: application/json" \
--data '{
"name": "My Updated S3 Destination",
"config": {
"remote_url": "s3://my-new-bucket/output/",
"aws_access_key_id": "AKIAIOSFODNN7EXAMPLE",
"aws_secret_access_key": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY"
}
}'
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import UpdateDestinationRequest
from unstructured_client.models.shared import UpdateDestinationConnector
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = client.destinations.update_destination(
request=UpdateDestinationRequest(
destination_id="d1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c",
update_destination_connector=UpdateDestinationConnector(
name="My Updated S3 Destination",
config={
"remote_url": "s3://my-new-bucket/output/",
"aws_access_key_id": "AKIAIOSFODNN7EXAMPLE",
"aws_secret_access_key": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY",
},
)
)
)
print(response)
import asyncio
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import UpdateDestinationRequest
from unstructured_client.models.shared import UpdateDestinationConnector
async def update_destination():
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = await client.destinations.update_destination_async(
request=UpdateDestinationRequest(
destination_id="d1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c",
update_destination_connector=UpdateDestinationConnector(
name="My Updated S3 Destination",
config={
"remote_url": "s3://my-new-bucket/output/",
"aws_access_key_id": "AKIAIOSFODNN7EXAMPLE",
"aws_secret_access_key": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY",
},
)
)
)
print(response)
asyncio.run(update_destination())
{
"id": "d1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c",
"name": "My Updated S3 Destination",
"type": "s3",
"config": {
"remote_url": "s3://my-new-bucket/output/",
"aws_access_key_id": "AKIAIOSFODNN7EXAMPLE",
"aws_secret_access_key": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY"
},
"created_at": "2026-01-01T00:00:00Z",
"updated_at": "2026-04-29T10:00:00Z"
}
You must specify all of the settings for the connector, even for settings that are not changing.
You can change any of the connector’s settings except for its
nameand type.
Path parameters
string
required
The unique identifier of the destination connector.
Body
string
New destination connector name.
object
Updated connector configuration. Fields vary by connector type.For the specific settings to include for a specific connector, see the entry for that connector in Destinations.
Response
string
required
Unique identifier for the destination connector.
string
required
Destination connector name.
string
required
Connector type.
object
required
Connector configuration. Fields vary by connector
type.string
required
ISO 8601 timestamp when the connector was created.
string
ISO 8601 timestamp when the connector was last updated.
curl --request PUT \
--url "${UNSTRUCTURED_API_URL}/api/v1/destinations/d1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}" \
--header "Content-Type: application/json" \
--data '{
"name": "My Updated S3 Destination",
"config": {
"remote_url": "s3://my-new-bucket/output/",
"aws_access_key_id": "AKIAIOSFODNN7EXAMPLE",
"aws_secret_access_key": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY"
}
}'
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import UpdateDestinationRequest
from unstructured_client.models.shared import UpdateDestinationConnector
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = client.destinations.update_destination(
request=UpdateDestinationRequest(
destination_id="d1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c",
update_destination_connector=UpdateDestinationConnector(
name="My Updated S3 Destination",
config={
"remote_url": "s3://my-new-bucket/output/",
"aws_access_key_id": "AKIAIOSFODNN7EXAMPLE",
"aws_secret_access_key": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY",
},
)
)
)
print(response)
import asyncio
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import UpdateDestinationRequest
from unstructured_client.models.shared import UpdateDestinationConnector
async def update_destination():
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = await client.destinations.update_destination_async(
request=UpdateDestinationRequest(
destination_id="d1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c",
update_destination_connector=UpdateDestinationConnector(
name="My Updated S3 Destination",
config={
"remote_url": "s3://my-new-bucket/output/",
"aws_access_key_id": "AKIAIOSFODNN7EXAMPLE",
"aws_secret_access_key": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY",
},
)
)
)
print(response)
asyncio.run(update_destination())
{
"id": "d1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c",
"name": "My Updated S3 Destination",
"type": "s3",
"config": {
"remote_url": "s3://my-new-bucket/output/",
"aws_access_key_id": "AKIAIOSFODNN7EXAMPLE",
"aws_secret_access_key": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY"
},
"created_at": "2026-01-01T00:00:00Z",
"updated_at": "2026-04-29T10:00:00Z"
}
Was this page helpful?
⌘I

